<app-sign-mode-header mode="multi" singleLink="new-only-me"></app-sign-mode-header>

<ion-content>
    <ion-item lines="inset" *ngFor="let field of fields">
        <ion-grid>
            <ion-row>
                <ion-label color="medium">{{labels[field]}}</ion-label>
            </ion-row>
            <ion-row *ngIf="!['cosigners', 'owner', 'verifiers'].includes(field)">
                <p>{{file[field]}}</p>
            </ion-row>

            <ion-row *ngIf="field=='owner'">
                <ion-item lines="none">
                    <ion-grid>
                        <ion-row>
                            <div>
                                <ion-input class="address owner" type="text" spellcheck="false"
                                    [value]="file.owner.publicKey" readonly="true">
                                </ion-input>
                            </div>
                        </ion-row>
                        <ion-row *ngIf="!file.owner.isRequireSignatureImg">
                            <ion-button class="btn-full-width" expand="full" (click)="toggleIsRequireSignatureImg(-1)">
                                Requires signature image
                            </ion-button>
                        </ion-row>
                        <ion-row *ngIf="file.owner.isRequireSignatureImg">
                            <div class="owner-lower">
                                <ion-input class="nameBox" type="text" spellcheck="false" [(ngModel)]="file.owner.name"
                                    placeholder="Your Name">
                                </ion-input>
                                <div class="remove btnRight btnWhiteBlue" (click)="toggleIsRequireSignatureImg(-1)"
                                    tappable>
                                    <ion-icon name="close"></ion-icon>
                                </div>
                            </div>
                        </ion-row>
                    </ion-grid>
                </ion-item>
            </ion-row>

            <ion-row *ngIf="field=='cosigners'">
                <ion-item *ngFor="let cosigner of file.cosigners; let i = index; trackBy:trackByIndex;" lines="none">
                    <ion-grid>
                        <ion-row>
                            <div class="cosigner-upper">
                                <p class="index" *ngIf="checkCosignerKey(i)">{{i + 1}}</p>
                                <p class="index" *ngIf="!checkCosignerKey(i)" style="background:#f04141">{{i + 1}}</p>
                                <ion-input class="address" type="text" spellcheck="false"
                                    placeholder="Cosigner's Public Key" [(ngModel)]="file.cosigners[i].publicKey">
                                </ion-input>
                                <div class="remove">
                                    <ion-icon *ngIf="file.cosigners.length>1" name="remove-circle-outline"
                                        (click)="onRemove(i, 'cosigners')" tappable></ion-icon>
                                </div>
                            </div>
                        </ion-row>
                        <ion-row *ngIf="!cosigner.isRequireSignatureImg">
                            <ion-button class="btn-full-width" expand="full" (click)="toggleIsRequireSignatureImg(i)">
                                Requires signature image
                            </ion-button>
                        </ion-row>
                        <ion-row *ngIf="cosigner.isRequireSignatureImg">
                            <div class="cosigner-lower">
                                <ion-input class="nameBox" type="text" spellcheck="false" placeholder="Cosigner's Name"
                                    [(ngModel)]="file.cosigners[i].name">
                                </ion-input>
                                <div *ngIf="file.cosigners[i].publicKey==''" class="remove btnRight2 btnWhiteBlue"
                                    (click)="onScan(i, 'cosigners')">
                                    <ion-icon name="qr-scanner"></ion-icon>
                                </div>
                                <div class="remove btnRight btnWhiteBlue" (click)="toggleIsRequireSignatureImg(i)"
                                    tappable>
                                    <ion-icon name="close"></ion-icon>
                                </div>
                            </div>
                        </ion-row>
                    </ion-grid>
                </ion-item>
            </ion-row>
            <ion-row *ngIf="field=='cosigners'">
                <div id="add">
                    <ion-icon name="add-circle" *ngIf="file.cosigners.length<15" (click)="onAdd()" tappable>
                    </ion-icon>
                </div>
            </ion-row>

            <ion-row *ngIf="field=='verifiers'">
                <ion-item *ngFor="let verifier of file.verifiers; let i = index; trackBy:trackByIndex;" lines="none">
                    <ion-grid>
                        <ion-row>
                            <div class="verifier">
                                <!-- <p class="index" *ngIf="checkKey(i)">{{i + 1}}</p> -->
                                <!-- <p class="index" *ngIf="!checkKey(i)" style="background:#f04141">{{i + 1}}</p> -->
                                <ion-input class="nameBox" type="text" spellcheck="false"
                                    placeholder="Verifier's Public Key" [(ngModel)]="file.verifiers[i]" (input)="checkVerifierKey(i, $event.target.value)">
                                </ion-input>
                                <div class="btnRight2 btnWhiteBlue" (click)="onScan(i, 'verifiers')">
                                    <ion-icon name="qr-scanner"></ion-icon>
                                </div>
                                <div class="remove btnRight">
                                    <ion-icon *ngIf="file.cosigners.length>1" name="remove-circle-outline"
                                        (click)="onRemove(i, 'verifiers')" tappable></ion-icon>
                                </div>
                            </div>
                        </ion-row>
                        <!-- <ion-row>
                            <div class="cosigner-lower">
                                <div *ngIf="file.cosigners[i].publicKey==''" class="remove btnRight2 btnWhiteBlue"
                                    (click)="onScan(i)">
                                    <ion-icon name="qr-scanner"></ion-icon>
                                </div>
                                <div class="remove btnRight"
                                    tappable>
                                    <ion-icon name="close"></ion-icon>
                                </div>
                            </div>
                        </ion-row> -->
                    </ion-grid>
                </ion-item>
                <ion-button class="btn-full-width" expand="full" (click)="file.verifiers.push('')"
                    *ngIf="file.verifiers.length == 0">
                    Add verifiers
                </ion-button>
            </ion-row>
            <!-- <ion-row *ngIf="field=='verifiers' && file.verifiers.length!=0">
                <div id="add">
                    <ion-icon name="add-circle" *ngIf="file.cosigners.length<2" (click)="onAdd()" tappable>
                    </ion-icon>
                </div>
            </ion-row> -->
        </ion-grid>
    </ion-item>
    <div id="btnSign" (click)="onSignDocument()" *ngIf="!isProcessing">
        <ion-button>Sign document</ion-button>
    </div>
    <div *ngIf="isProcessing" class="loading">
        <ion-spinner name="dots" color="primary"></ion-spinner>
    </div>
</ion-content>